Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1196710 - Failure with a list width exitcode = 2
Summary: Failure with a list width exitcode = 2
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: lsyncd
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-26 15:08 UTC by Charles R. Anderson
Modified: 2017-04-12 11:50 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-12 11:50:43 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
lsyncd.conf (deleted)
2015-02-26 15:28 UTC, Charles R. Anderson
no flags Details

Description Charles R. Anderson 2015-02-26 15:08:02 UTC
Description of problem:

lsyncd crashes once a day or so and has to be restarted.  The error messages are:

Feb 25 18:03:55 hostname sh[32559]: file has vanished: "/home/cra/.cache/mozilla/firefox/7u6riz94.default/cache2/entries/0F1426D63F697FDB0EE8A
349E42F58F636F62ADE"
Feb 25 18:03:55 hostname sh[32559]: [receiver] internal abbrev error on cra/.cache/mozilla/firefox/7u6riz94.default/cache2/entries/9B1678114E4
B9DBD9AD1D5B483297EF037B391E4 (security.selinux, len=40)!
Feb 25 18:03:55 hostname sh[32559]: rsync error: protocol incompatibility (code 2) at xattrs.c(644) [receiver=3.1.1]
Feb 25 18:03:55 hostname sh[32559]: 18:03:55 Error: Failure with a list width exitcode = 2
Feb 25 18:03:55 hostname sh[32559]: 18:03:55 Error: Critical exitcode.
Feb 25 18:03:56 hostname sh[32559]: /usr/bin/sh: eval: line 0: syntax error near unexpected token `('
Feb 25 18:03:56 hostname sh[32559]: /usr/bin/sh: eval: line 0: `skipping non-regular file "cra/.backup/.Fedora.10/.icedteaplugin/icedtea-apple
tviewer-to-plugin"

The '(' issue may be caused by a filename like this:

/cra/.config/xchat2/scrollback/FreeNode (formerly OpenProjects.net)/#fedora.txt

Version-Release number of selected component (if applicable):
lsyncd-2.1.5-6.fc21.x86_64
rsync-3.1.1-3.fc21.x86_64

How reproducible:
daily at least

Steps to Reproduce:
1. systemctl start lsyncd
2. wait until it encounters the error


Actual results:
#systemctl status lsyncd
● lsyncd.service - Live Syncing (Mirror) Daemon
   Loaded: loaded (/usr/lib/systemd/system/lsyncd.service; enabled)
   Active: failed (Result: exit-code) since Wed 2015-02-25 18:03:56 EST; 16h ago
  Process: 32559 ExecStart=/usr/bin/sh -c eval `/usr/bin/lsyncd -nodaemon $LSYNCD_OPTIONS /etc/lsyncd.conf` (code=exited, status=2)
 Main PID: 32559 (code=exited, status=2)

Expected results:
no crash, and/or making the systemd service auto-restart might be helpful

Comment 1 Charles R. Anderson 2015-02-26 15:28:35 UTC
Created attachment 995673 [details]
lsyncd.conf

Comment 2 Fedora End Of Life 2015-11-04 13:25:40 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2015-12-02 09:30:19 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 4 Jan Kurik 2016-02-24 13:21:28 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 5 Fedora Update System 2017-01-14 14:56:42 UTC
lsyncd-2.2.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-4673dba216

Comment 6 Fedora Update System 2017-01-15 11:20:18 UTC
lsyncd-2.2.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-4673dba216

Comment 7 Jason Taylor 2017-04-12 11:50:43 UTC
lsyncd 2.2.2 was pushed to f24 which resolves this issue.


Note You need to log in before you can comment on or make changes to this bug.